Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD VBA
  Speicherpfad eines bmp's

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Speicherpfad eines bmp's (583 mal gelesen)
Heiko76
Mitglied
Applikationsingenieur


Sehen Sie sich das Profil von Heiko76 an!   Senden Sie eine Private Message an Heiko76  Schreiben Sie einen Gästebucheintrag für Heiko76

Beiträge: 589
Registriert: 21.03.2002

erstellt am: 14. Okt. 2004 07:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi zusammen,

ich versuche den Speicherpfad eines bmp's in einer Zeichnung auszulesen. Ich hatte das schonmal geschafft nur leider funktioniert die Routine nicht mehr so wie es war. Kann mir hier vielleicht einer helfen???

Public Sub TestImageList()
  Dim varTest As Variant
  Dim i As Integer
  Dim test As String
  Application.Preferences.Files.SetProjectFilePath "Projekt2", "C:\"
  test = Application.Preferences.Files.GetProjectFilePath("Projekt2")
  If IsArray(varTest) Then
    For i = LBound(varTest) To UBound(varTest)
      Debug.Print varTest(i)
      frmBildausgabe.Liste.AddItem varTest(i)
    Next i
  Else
    MsgBox "Keine Bilder gefunden.", vbInformation, "Fehler"
  End If


End Sub

------------------

cu
Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoeG
Mitglied
Systemadmin NX und Autocad


Sehen Sie sich das Profil von JoeG an!   Senden Sie eine Private Message an JoeG  Schreiben Sie einen Gästebucheintrag für JoeG

Beiträge: 122
Registriert: 18.10.2002

Autocad 2000 und Win2000

erstellt am: 14. Okt. 2004 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Heiko76 10 Unities + Antwort hilfreich

Hallo Heiko

eine Frage
suchst du bmp auf der Platte oder hast du sie in der Zeichnung eingefügt?

Wenn du die in der Zeichnung hast versuch es mahl so

Public Sub Bild_suchen()
    Dim ssetObj As AcadSelectionSet
    Set ssetObj = ThisDrawing.SelectionSets.Add("XX")
   
   
    Dim GroupCode(0) As Integer
    Dim dataCode(0) As Variant
    GroupCode(0) = 0
    dataCode(0) = "IMAGE"
   
    ssetObj.Select acSelectionSetAll, , , GroupCode, dataCode
   
'----------------------------------------
   
    Dim Entry As AcadRasterImage
    For Each Entry In ssetObj
        MsgBox Entry.ImageFile
    Next Entry

'----------------------------------------
   
    ssetObj.Delete
End Sub


Joe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko76
Mitglied
Applikationsingenieur


Sehen Sie sich das Profil von Heiko76 an!   Senden Sie eine Private Message an Heiko76  Schreiben Sie einen Gästebucheintrag für Heiko76

Beiträge: 589
Registriert: 21.03.2002

erstellt am: 14. Okt. 2004 07:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Joe,

super!

Genau das war es.

Danke schön...

------------------

cu
Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko76
Mitglied
Applikationsingenieur


Sehen Sie sich das Profil von Heiko76 an!   Senden Sie eine Private Message an Heiko76  Schreiben Sie einen Gästebucheintrag für Heiko76

Beiträge: 589
Registriert: 21.03.2002

Win10 64bit
Autodesk Produkte 2018
VB.net / Powershell

erstellt am: 14. Okt. 2004 07:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hey Joe,

weißt Du denn auch, wie ich den Speicherpfad der bmp in der Zeichnung ändern kann? Ich will die Zeichnung mit dem bmp verschieben. Z.B. von C:\ nach D:\, dann muß ich ja den Speicherpfad der bmp ändern, sonst wird das Bild ja nicht mehr in der Zeichnung angezeigt.

------------------

cu
Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fuchsi
Mitglied
Programmierer c#.net Datawarehouse


Sehen Sie sich das Profil von fuchsi an!   Senden Sie eine Private Message an fuchsi  Schreiben Sie einen Gästebucheintrag für fuchsi

Beiträge: 1201
Registriert: 14.10.2003

AutoCad Version 2012 deu/enu
<P>Windows 7 64bit

erstellt am: 14. Okt. 2004 08:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Heiko76 10 Unities + Antwort hilfreich

ich hab sowas mal in lisp gemacht
hier wurden alle bilder vom laufwerk L: nach O: und vom verzeichnis
K:\\DATA\\GROUPS\\ nach M: verschoben, und mit diesem lisp ini den zeichnungen angepasst

ist wzar lisp , aber vielleicht hilft es
der pfad wird nicht direkt im bild verspeichert, sondern an einem entity das über gc340 errreichbar ist.


(defun c:BildLink ( / ss1 i1 en1 ed1 en2 ed2 pfad )
  (setq ss1 (ssget "X" (list (cons 0 "IMAGE"))) i1 0)

  (repeat (sslength ss1)
    (setq en1 (ssname ss1 i1))
    (setq ed1 (entget en1))

    (setq en2 (cdr (assoc 340 ed1)))
    (setq ed2 (entget en2))

    (setq pfad (cdr (assoc 1 ed2)))
    (cond ((wcmatch (strcase pfad) "L:*")
  (setq pfad (strcat "O:" (substr pfad 3)))
  (setq ed2 (subst (cons 1 pfad) (assoc 1 ed2) ed2))
  (entmod ed2)
  )
  ((wcmatch (strcase pfad) "K:\\DATA\\GROUPS\\*")
  (setq pfad (strcat "M:" (substr pfad 15)))
  (setq ed2 (subst (cons 1 pfad) (assoc 1 ed2) ed2))
  (entmod ed2)
  )
    )

    (setq i1 (1+ i1))
  )
  (princ "\nBildverlinkung wurde angepasst !")
  (princ)
)

------------------
WWW.FFZELL.AT.TC

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoeG
Mitglied
Systemadmin NX und Autocad


Sehen Sie sich das Profil von JoeG an!   Senden Sie eine Private Message an JoeG  Schreiben Sie einen Gästebucheintrag für JoeG

Beiträge: 122
Registriert: 18.10.2002

Autocad 2000 und Win2000

erstellt am: 14. Okt. 2004 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Heiko76 10 Unities + Antwort hilfreich

Versuch es so

Public Sub Pfad_ändern()
    Dim ssetObj As AcadSelectionSet
    Set ssetObj = ThisDrawing.SelectionSets.Add("XX")
   
   
    Dim GroupCode(0) As Integer
    Dim dataCode(0) As Variant
    GroupCode(0) = 0
    dataCode(0) = "IMAGE"
   
    ssetObj.Select acSelectionSetAll, , , GroupCode, dataCode
   
'----------------------------------------
   
    Dim Entry As AcadRasterImage
    For Each Entry In ssetObj
        Entry.ImageFile = "D" & Mid(Entry.ImageFile, 2)
    Next Entry

'----------------------------------------
   
    ssetObj.Delete
   
    ThisDrawing.Regen acAllViewports
End Sub

Joe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko76
Mitglied
Applikationsingenieur


Sehen Sie sich das Profil von Heiko76 an!   Senden Sie eine Private Message an Heiko76  Schreiben Sie einen Gästebucheintrag für Heiko76

Beiträge: 589
Registriert: 21.03.2002

erstellt am: 14. Okt. 2004 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Genau so.

U's 4 U

------------------

cu
Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz